# List virtual user connections

Source: <https://everruns.com/docs/api/operations/list_virtual_user_connections/>

[Docs](https://everruns.com/docs/)/[API reference](https://everruns.com/docs/api/)/[Identity & access](https://everruns.com/docs/api/groups/identity-access/)/List virtual user connections

# List virtual user connections

Preview

Manage organizations, members, end users, invitations and connected identities.

Public APIEverruns Cloud and self-hosted Platform

GET`/v1/virtual-users/{identity_id}/connections`

See [authentication](https://everruns.com/docs/sre/runbooks/authentication/) for credentials and permissions.

## Parameters

### Path Parameters

**identity_id**

required

string

## Responses

200Success

### 200

Success

Media typeapplication/json

Array\<object>

Connection info returned in API responses (never includes token)

object

**connected_at**

required

Time the grant was created.

string format: date-time

**connection_type**

required

Credential mechanism used by this connection.

string

**provider**

required

Stable provider identifier.

string

**provider_username**

Display name on the provider.

string | null

**scopes**

Provider scopes granted to this account.

string | null

### Example

```json
[
  {
    "connected_at": "2026-09-29T12:00:00Z",
    "connection_type": "oauth",
    "provider": "github",
    "provider_username": "octocat",
    "scopes": "read:user"
  }
]
```

401Authentication required

### 401

Authentication required

403Permission denied

### 403

Permission denied

404Virtual user not found

### 404

Virtual user not found

FetchcURL

Request

```js
const url = 'https://app.everruns.com/api/v1/virtual-users/example/connections';
const options = {method: 'GET'};


try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

Request

```sh
curl --request GET \
  --url https://app.everruns.com/api/v1/virtual-users/example/connections
```

Additional language examples require JavaScript. The default request example is available above.

200401403404

200 · Success

```json
[
  {
    "connected_at": "2026-09-29T12:00:00Z",
    "connection_type": "oauth",
    "provider": "github",
    "provider_username": "octocat",
    "scopes": "read:user"
  }
]
```

401 · Authentication required

No response body example is declared for this status.

403 · Permission denied

No response body example is declared for this status.

404 · Virtual user not found

No response body example is declared for this status.

## Matching endpoints